Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.direct
Class GenericNetwork<Identifier,MessageType>

    java.lang.Object
      rice.pastry.direct.NetworkSimulatorImpl<Identifier,MessageType>
          rice.pastry.direct.GenericNetwork<Identifier,MessageType>

All Implemented Interfaces:
  NetworkSimulator<Identifier,MessageType>

    public class GenericNetwork<Identifier,MessageType>

extends NetworkSimulatorImpl<Identifier,MessageType>

Field Summary

Fields inherited from class rice.pastry.direct.NetworkSimulatorImpl
`generator, livenessProvider, random, simulator`

Constructor Summary
`GenericNetwork(Environment env)`
`GenericNetwork(Environment env, java.io.File inFile)`
`GenericNetwork(Environment env, java.lang.String inFile)`

Method Summary

Methods inherited from class rice.pastry.direct.NetworkSimulatorImpl
`addSimulatorListener, destroy, enqueueDelivery, generateNodeRecord, getClosest, getEnvironment, getGenericSimulator, getLivenessProvider, getNodeRecord, getTestRecord, isAlive, networkDelay, notifySimulatorListenersReceived, notifySimulatorListenersSent, proximity, registerNode, removeNode, removeSimulatorListener, setFullSpeed, setMaxSpeed, setTestRecord, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericNetwork

    public GenericNetwork(Environment env,
                          java.lang.String inFile)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

### GenericNetwork

    public GenericNetwork(Environment env)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

### GenericNetwork

    public GenericNetwork(Environment env,
                          java.io.File inFile)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.